SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001640SiT!billingpublic2011-07-03 10:262011-11-26 14:23
Reporterivan 
Assigned Topaulh 
PrioritynormalSeveritytweakReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionCurrent GIT 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001640: Transactions report outputs currency as ISO-8859-15
Descriptiontransactions_report()

$csv_currency = html_entity_decode($CONFIG['currency_symbol'], ENT_NOQUOTES, "ISO-8859-15"); // Note using -15 as -1 doesnt support euro

Why ISO-8859-15 and not UTF-8 as per the rest of the report? This would appear to be a bug.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0004088)
ivan (administrator)
2011-07-03 19:36

billing_summary.inc.php does the same
User avatar (0004128)
paulh (administrator)
2011-07-17 14:47

Think when I originally wrote this report I had problems with some character sets and the Euro symbol, this was probably the first character set which I found which supported both Euro and GBP symbols (think I tried UTF-8 and had some sort of problem, though that was 3 or so years ago now)
User avatar (0004340)
paulh (administrator)
2011-11-26 14:23

git 7baa5b7 and 60fe233 resolve

- Issue History
Date Modified Username Field Change
2011-07-03 10:26 ivan New Issue
2011-07-03 19:36 ivan Note Added: 0004088
2011-07-17 14:47 paulh Note Added: 0004128
2011-07-17 14:47 paulh Status new => confirmed
2011-08-06 14:46 ivan Target Version => 3.90beta1
2011-08-19 20:27 paulh Assigned To => paulh
2011-08-19 20:27 paulh Status confirmed => assigned
2011-11-26 14:23 paulh Note Added: 0004340
2011-11-26 14:23 paulh Status assigned => resolved
2011-11-26 14:23 paulh Resolution open => fixed
2011-11-26 14:23 paulh Fixed in Version => Current GIT


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker